#
# spec file for package grantlee
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           grantlee
Version:        0.4.0
Release:        5.4
Summary:        Qt string template library
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://grantlee.org/
Source0:        http://downloads.grantlee.org/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  kde4-filesystem
BuildRequires:  lcov
BuildRequires:  libqt4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Grantlee is a string template engine based on the Django template system and
written in Qt.

%package devel
Summary:        Include Files and Libraries Mandatory for Development with Grantlee
Group:          Development/Libraries/C and C++
Requires:       libgrantlee_core0 = %{version}
Requires:       libgrantlee_gui0 = %{version}

%description devel
This package contains include files and libraries needed for development with
grantlee.

%package -n libgrantlee_core0
Summary:        Qt string template library
Group:          System/Libraries
# grantlee was last used in openSUSE 11.4 (grantlee-0.1.7)
Provides:       grantlee = %{version}
Obsoletes:      grantlee < %{version}

%description -n libgrantlee_core0
Grantlee is a string template engine based on the Django template system and
written in Qt.

%package -n libgrantlee_gui0
Summary:        Qt string template library
Group:          System/Libraries
# grantlee was last used in openSUSE 11.4 (grantlee-0.1.7)
Provides:       grantlee = %{version}
Obsoletes:      grantlee < %{version}

%description -n libgrantlee_gui0
Grantlee is a string template engine based on the Django template system and
written in Qt.

%prep
%setup -q

%build
%cmake_kde4 -d build -- -DBUILD_TESTS=OFF
%make_jobs

%install
cd build
%kde4_makeinstall
cd ..

%clean
rm -rf %{buildroot}

%post -n libgrantlee_core0 -p /sbin/ldconfig

%postun -n libgrantlee_core0 -p /sbin/ldconfig

%post -n libgrantlee_gui0 -p /sbin/ldconfig

%postun -n libgrantlee_gui0 -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING.LIB GOALS README
%{_includedir}/grantlee/
%{_includedir}/grantlee_*.h
%{_libdir}/libgrantlee_core.so
%{_libdir}/libgrantlee_gui.so
%dir %{_libdir}/cmake
%{_libdir}/cmake/grantlee/

%files -n libgrantlee_core0
%defattr(-,root,root,-)
%{_libdir}/libgrantlee_core.so.0*
%{_libdir}/grantlee/

%files -n libgrantlee_gui0
%defattr(-,root,root,-)
%{_libdir}/libgrantlee_gui.so.0*

%changelog
* Sat Nov 30 2013 hrvoje.senjan@gmail.com
- Update to 0.4.0
  * Bump Grantlee CMake requirement to 2.8.9.
  * Use the CMAKE_AUTOMOC feature in Grantlee.
  * Clean up all CMake code.
  * Fix memory leak when deleting a localized template loader.
  * Clean up C++ code in preparation for Qt 5.
  * Update jQuery version used in example to the latest release.
  * Add API for resolving variables to strings in QtScript.
  * Fix tests on ARM and other platforms which use float for qreal.
* Fri Nov  2 2012 cgiboudeaux@gmx.com
- Update to 0.3.0
  * Implement dictsort filter
  * Many new unit tests
  * Bug fixes and performance improvements
  * Roman numeral support in textdocument processing
* Sat Nov  5 2011 asterios.dramis@gmail.com
- Update to version 0.2.0:
  * Fix build on several platforms including mac, solaris and bsds.
  * Gather coverage data in release builds instead of debug builds.
  * Ensure that unit tests can be run and pass before installation.
  * Ensure that unit tests pass in multiple locales.
  * Fix several compiler warnings.
  * Add options for generating coverage data using testcocoon.
- Spec file updates:
  * Renamed License: to LGPL-2.1+.
  * Spec-cleaner run.
* Thu Jul  7 2011 asterios.dramis@gmail.com
- Spec file updates:
  * Added Provides/Obsoletes for grantlee.
* Wed Jul  6 2011 asterios.dramis@gmail.com
- update to version 0.1.9
  * Port the lexer to a state machine based string parser.
  * Add feature to trim insignificant whitespace.
  * Build with stricter Qt flags QT_NO_KEYWORDS and QT_NO_CAST_FROM_BYTEARRAY.
  * Add example application for a html based templated application framework.
  * Add documentation and convenience functions for QObject and Q_PROPERTY
    introspection.
  * Modernise the CMake build system including creation of EXPORT targets and
    fixing of various cross-platform issues.
  * Add a componentized CPack packaging system for binary tarballs and windows
    install wizards.
  * Ability to use COMPONENTS argument to find_package with Grantlee.
  * Add a build target for generating code coverage information.
  * Platform fixes for MIPS, ARM and MinGW.
  * Add more documentation for example applications shipped with the Grantlee
    source.
  * Add the changelog for prior versions of Grantlee.
- Spec file updates:
  * Added lcov in BuildRequires:.
  * Changes based on openSUSE shared library packaging policy (added
    libgrantlee_core0 and libgrantlee_gui0 packages, removed grantlee
    package).
  * Minor other updates.
* Sun May 22 2011 asterios.dramis@gmail.com
- update to version 0.1.8
  * Add support for internationalization and localization features.
  * A new contacts/address book application.
  * Support for outputting QDate and QTime objects.
  * Automatic loading of QtScript based plugins.
- Spec file updates:
  * Changes based on spec-cleaner run.
  * Changed License: to LGPLv2.1+.
  * Updates in Group:, Summary: and %%description entries.
  * Removed libopenssl-devel from BuildRequires: (not needed).
  * Removed /sbin/ldconfig from devel package (not needed).
  * Minor other updates.
* Tue Dec 14 2010 wstephenson@novell.com
- Revert to 0.1.7 and tidy specfile
* Thu Oct 28 2010 tittiatcoke@gmail.com
- Went back to version 0.1.6 due to build issues. (Hanging build)
* Sun Oct 24 2010 wstephenson@novell.com
- update to version 0.1.7
  * Generic type support
  * Licensing fixes
  * Documentation fixes
* Thu Sep 30 2010 wstephenson@novell.com
- update to version 0.1.6
  * Fixed memory leaks
  * More strict casting from ascii
* Fri Sep 10 2010 tittiatcoke@gmail.com
- update to version 0.1.5
* Mon Jul 19 2010 freitag@novell.com
- update to version 0.1.3
* Mon Apr 19 2010 tittiatcoke@gmail.com
- Official release for version 0.1
* Fri Apr  9 2010 tittiatcoke@gmail.com
- Initial package
